Bug 1114591 - additional new line in output of date when locale is set to sr_RS
Summary: additional new line in output of date when locale is set to sr_RS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 12:59 UTC by Nenad Peric
Modified: 2016-02-29 10:22 UTC (History)
7 users (show)

Fixed In Version: glibc-2.22-10.fc23 glibc-2.21-12.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-29 10:22:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 19581 None None None 2016-02-08 11:59:41 UTC

Description Nenad Peric 2014-06-30 12:59:50 UTC
Description of problem:

When LC_TIME (or LC_ALL) is set to sr_RS, the output of date has additional newline.


Version-Release number of selected component (if applicable):

coreutils-8.4-35.el6.x86_64


How reproducible:
Everytime


Steps to Reproduce:

Change the locale settings and run the date command:

[root@virt-015 ~]# LC_TIME="en_US.UTF-8" date
Mon Jun 30 14:51:21 CEST 2014
[root@virt-015 ~]# LC_TIME="cs_CZ.UTF-8" date
Po čen 30 14:51:28 CEST 2014
[root@virt-015 ~]# LC_TIME="sr_RS.UTF-8" date
пон, 30. јун 2014.  14:51:56 CEST

[root@virt-015 ~]# 



Actual results:

A new line is added after the date command (as seen in the above paste) which can cause issues with scripts processing the output from multiple date commands for example. 


Expected results:

date output should look the same in all locale settings.

Comment 1 Nenad Peric 2014-06-30 13:02:57 UTC
When I said 'look the same' I meant behave in the similar manner without superflous newlines or unexpected multilined formats :)

Comment 3 Ondrej Vasik 2014-06-30 14:25:56 UTC
Locale D_T_FMT string format is handled by glibc(-common) itself - reassigning - anyway - for RHEL 6 this is probably wontfix, as sr_RS is not officially supported language.

Comment 4 Nenad Peric 2014-06-30 15:19:25 UTC
Reproducable in Fedora 20 as well in the same way, with packages:

glibc-common-2.18-12.fc20.x86_64
coreutils-8.21-21.fc20.x86_64

Comment 5 Fedora End Of Life 2015-05-29 12:15:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Carlos O'Donell 2015-06-03 04:40:48 UTC
Needs review in rawhide.

Comment 7 Jan Kurik 2015-07-15 14:39:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Fedora Update System 2016-02-20 11:39:17 UTC
glibc-2.22-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b88ff23a4

Comment 10 Fedora Update System 2016-02-20 11:52:42 UTC
glibc-2.21-12.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ec3bf7e66

Comment 11 Fedora Update System 2016-02-21 17:58:27 UTC
glibc-2.22-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b88ff23a4

Comment 12 Fedora Update System 2016-02-21 18:27:42 UTC
glibc-2.21-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ec3bf7e66

Comment 13 Fedora Update System 2016-02-23 01:23:17 UTC
glibc-2.22-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-02-29 10:21:53 UTC
glibc-2.21-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.